Fetch Exchange Rates
curl --request GET \
--url https://sandbox.api.engagexpay.com/v1/fx-rate \
--header 'Authorization: Bearer <token>'const url = 'https://sandbox.api.engagexpay.com/v1/fx-rate';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://sandbox.api.engagexpay.com/v1/fx-rate")
.header("Authorization", "Bearer <token>")
.asString();import requests
url = "https://sandbox.api.engagexpay.com/v1/fx-rate"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.engagexpay.com/v1/fx-rate"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"from_currency": "USD",
"to_currency": "EUR",
"exchange_rate": 0.88,
"valid_from": "2026-05-20T19:34:03Z",
"valid_till": "2026-05-20T20:34:03Z"
}
}{
"message": "Authentication failed"
}Fees & FX Rates
Fetch Exchange Rates
Retrieve exchange rates for a specific country or currency.
GET
/
v1
/
fx-rate
Fetch Exchange Rates
curl --request GET \
--url https://sandbox.api.engagexpay.com/v1/fx-rate \
--header 'Authorization: Bearer <token>'const url = 'https://sandbox.api.engagexpay.com/v1/fx-rate';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://sandbox.api.engagexpay.com/v1/fx-rate")
.header("Authorization", "Bearer <token>")
.asString();import requests
url = "https://sandbox.api.engagexpay.com/v1/fx-rate"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.engagexpay.com/v1/fx-rate"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"from_currency": "USD",
"to_currency": "EUR",
"exchange_rate": 0.88,
"valid_from": "2026-05-20T19:34:03Z",
"valid_till": "2026-05-20T20:34:03Z"
}
}{
"message": "Authentication failed"
}Provide either
country_code or currency_code, but not both.Authorizations
Bearer token authentication. Obtain token from Issue a Token endpoint
Query Parameters
ISO 3166-1 alpha-3 country code
Available options:
AFG, ALB, DZA, ASM, AND, AGO, AIA, ATA, ATG, ARG, ARM, ABW, AUS, AUT, AZE, BHS, BHR, BGD, BRB, BLR, BEL, BLZ, BEN, BMU, BTN, BOL, BES, BIH, BWA, BVT, BRA, IOT, BRN, BGR, BFA, BDI, CPV, KHM, CMR, CAN, CYM, CAF, TCD, CHL, CHN, CXR, CCK, COL, COM, COD, COG, COK, CRI, HRV, CUB, CUW, CYP, CZE, CIV, DNK, DJI, DMA, DOM, ECU, EGY, SLV, GNQ, ERI, EST, SWZ, ETH, FLK, FRO, FJI, FIN, FRA, GUF, PYF, ATF, GAB, GMB, GEO, DEU, GHA, GIB, GRC, GRL, GRD, GLP, GUM, GTM, GGY, GIN, GNB, GUY, HTI, HMD, VAT, HND, HKG, HUN, ISL, IND, IDN, IRN, IRQ, IRL, IMN, ISR, ITA, JAM, JPN, JEY, JOR, KAZ, KEN, KIR, PRK, KOR, KWT, KGZ, LAO, LVA, LBN, LSO, LBR, LBY, LIE, LTU, LUX, MAC, MDG, MWI, MYS, MDV, MLI, MLT, MHL, MTQ, MRT, MUS, MYT, MEX, FSM, MDA, MCO, MNG, MNE, MSR, MAR, MOZ, MMR, NAM, NRU, NPL, NLD, NCL, NZL, NIC, NER, NGA, NIU, NFK, MNP, NOR, OMN, PAK, PLW, PSE, PAN, PNG, PRY, PER, PHL, PCN, POL, PRT, PRI, QAT, MKD, ROU, RUS, RWA, REU, BLM, SHN, KNA, LCA, MAF, SPM, VCT, WSM, SMR, STP, SAU, SEN, SRB, SYC, SLE, SGP, SXM, SVK, SVN, SLB, SOM, ZAF, SGS, SSD, ESP, LKA, SDN, SUR, SJM, SWE, CHE, SYR, TWN, TJK, TZA, THA, TLS, TGO, TKL, TON, TTO, TUN, TUR, TKM, TCA, TUV, UGA, UKR, ARE, GBR, UMI, USA, URY, UZB, VUT, VEN, VNM, VGB, VIR, WLF, ESH, YEM, ZMB, ZWE, ALA Example:
"USA"
Pattern:
^[A-Z]{3}$Response
Exchange rates retrieved successfully
Show child attributes
Show child attributes
⌘I